#ifndef CPPCADES_SIGNATURE_STATUS_OBJECT_H_
#define CPPCADES_SIGNATURE_STATUS_OBJECT_H_

#include "cppcades.h"

namespace CryptoPro {
namespace PKI {
namespace CAdES {

class CPPCadesSignatureStatusObject
{
public:
    CPPCadesSignatureStatusObject(void);
    ~CPPCadesSignatureStatusObject(void);

    HRESULT IsValid(bool &pVal);

    //internal use
    HRESULT put_IsValid(bool bVal);

private:
    DISALLOW_COPY_AND_ASSIGN(CPPCadesSignatureStatusObject);

    bool m_isValid;
};
} /* namespace CAdES */
} /* namespace PKI */
} /* namespace CryptoPro */

#endif // CPPCADES_SIGNATURE_STATUS_OBJECT_H_

